Cleaned up code that needlessly created named functions when a lambda would have been sufficient. e.g.

```python
async def go_to_url(self, session_name: str, url: str) -> CrawlerResult:
    async def handler(page: PageCrawler) -> None:
        await page.go_to_url(url)

    return await self._execute_crawler_command(session_name, handler)
```

became

```python
async def go_to_url(self, session_name: str, url: str) -> CrawlerResult:
    return await self._execute_crawler_command(
        session_name, lambda page: page.go_to_url(url)
    )
```
